{% extends 'bootstrap/base.html' %}
    {% block title %}
    {% if title %}{{ title }} - Microblog{% else %}{{ _('Welcome to Microblog') }}{% endif %}
    {% endblock %}
    {% block navbar %}
        <nav class="navbar navbar-default">
            <div class="container" >
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li><a href="{{ url_for('index') }}">{{ _('Home') }}</a></li>
                    <li><a href="{{ url_for('explore') }}">{{ _('Explore') }}</a></li>
                </ul>
                <ul class="nav navbar-nav navbar-right">
                        {% if current_user.is_anonymous %}
                        <li><a href="{{ url_for('login') }}">{{ _('Login') }}</a></li>
                        {% else %}
                        <li><a href="{{ url_for('user', username=current_user.username) }}">{{ _('Profile') }}</a></li>
                        <li><a href="{{ url_for('logout') }}">{{ _('Logout') }}</a></li>
                        {% endif %}
                    </ul>
            </div>
            </div>
        </nav>
            <!-- Microblog:
            <a href="{{url_for('index')}}">Home</a>
            {% if current_user.is_anonymous %}
            <a href="{{ url_for('login') }}">Login</a>
            {% else %}
            <a href="{{ url_for('user',username = current_user.username) }}">Profile</a>
            <a href="{{ url_for('explore') }}">Explore</a>
            <a href="{{ url_for('logout') }}">Logout</a>
            {% endif %} -->
    {% endblock %}
     {% block content %}
        <div class="container">
        {% with messages = get_flashed_messages() %}
        {% if messages %}
            {% for message in messages %}
            <div class="alert alert-info" role="alert"> {{ message }}</div>
            {% endfor %}
        {% endif %}
        {% endwith %}
        {% block app_content %}{% endblock %}
        </div>
    {% endblock %}
    {% block scripts %}
        {{ super() }}
        {{ moment.include_moment() }}
        {{ moment.lang(g.locale) }}
        <script>
            function translate(sourceElem, destElem, sourceLang, destLang) {
                $(destElem).html('<img src="{{ url_for('static', filename='loading.gif') }}">');
                $.post('/translate', {
                    text: $(sourceElem).text(),
                    source_language: sourceLang,
                    dest_language: destLang
                }).done(function(response) {
                    $(destElem).text(response['text'])
                }).fail(function() {
                    $(destElem).text("{{ _('Error: Could not contact server.') }}");
                });
            }
            </script>
    {% endblock %}